Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
hhhhgggg

Lisp đổi font của Style ???? Các bác giứp em với !

Các bài được khuyến nghị

Các bác ơi, viết giúp em cái Lisp đổi font cho Style . Font ban đầu của Style Standar là TXT.SHX, mình đổi thành font .VNARIAL NARROW . Các bác chú ý nhé. Đây là đổi Font của Style ( Vào format\font chọn tên Style rồi đổi sang font mình muốn) Chứ ko phải là chọn text sau đó đổi font cho Text đó. Các bác chú ý điều đó giúp em.Bác nào bit thì viết giúp em đi . Em xin cảm ơn và Hậu tạ . !!!!!!!!!!!!! bác nào viết được thì nhắn vào Nick "KS_Giang" giúp em với nhé .!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các bác ơi, viết giúp em cái Lisp đổi font cho Style . Font ban đầu của Style Standar là TXT.SHX, mình đổi thành font .VNARIAL NARROW . Các bác chú ý nhé. Đây là đổi Font của Style ( Vào format\font chọn tên Style rồi đổi sang font mình muốn) Chứ ko phải là chọn text sau đó đổi font cho Text đó. Các bác chú ý điều đó giúp em.Bác nào bit thì viết giúp em đi . Em xin cảm ơn và Hậu tạ . !!!!!!!!!!!!! bác nào viết được thì nhắn vào Nick "KS_Giang" giúp em với nhé .!!!

Có cần thiết phải rắc rối thế không trong khi bạn làm việc đó với Cad đâu có mất thời gian nhỉ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các bác ơi, viết giúp em cái Lisp đổi font cho Style . Font ban đầu của Style Standar là TXT.SHX, mình đổi thành font .VNARIAL NARROW . Các bác chú ý nhé. Đây là đổi Font của Style ( Vào format\font chọn tên Style rồi đổi sang font mình muốn) Chứ ko phải là chọn text sau đó đổi font cho Text đó. Các bác chú ý điều đó giúp em.Bác nào bit thì viết giúp em đi . Em xin cảm ơn và Hậu tạ . !!!!!!!!!!!!! bác nào viết được thì nhắn vào Nick "KS_Giang" giúp em với nhé .!!!

Uh thì đây:(nhưng theo tớ thì bạn quá lạm dụng lisp)

(defun C:dphg()

(command ".-style" "standard" ".VNARIAL NARROW" "" "" "" "" "")

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Uh thì đây:(nhưng theo tớ thì bạn quá lạm dụng lisp)

(defun C:dphg()

(command ".-style" "standard" ".VNARIAL NARROW" "" "" "" "" "")

)

Cảm ơn bác Meohoang nhé . Lisp của bác chạy okkk thật . E cảm ơn bác nhiều nhé !!!!. Nhưng còn cai Style TieuDe trong File này, ko đổi được thành Font .VNARIAL NARROWH :http://www.cadviet.com/upfiles/vidu.zip Nhờ bác MeoHoang đổi giúp em với !!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cảm ơn bác Meohoang nhé . Lisp của bác chạy okkk thật . E cảm ơn bác nhiều nhé !!!!. Nhưng còn cai Style TieuDe trong File này, ko đổi được thành Font .VNARIAL NARROWH :http://www.cadviet.com/upfiles/vidu.zip Nhờ bác MeoHoang đổi giúp em với !!!

Bạn làm tương tự copy thêm 1 dòng command như trên rồi thay "standard" = "tieude" trong file .lsp tôi gửi lên ấy; làm thử để thấy mình cũng ngon chớ bộ

He he!!!!!!! Sao cám ơn mà ko nhấn nút thank nhẻ?????? Khè khè

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn làm tương tự copy thêm 1 dòng command như trên rồi thay "standard" = "tieude" trong file .lsp tôi gửi lên ấy; làm thử để thấy mình cũng ngon chớ bộ

He he!!!!!!! Sao cám ơn mà ko nhấn nút thank nhẻ?????? Khè khè

Em Đã làm như vậy rùi ? Đây nè :

(defun C:fo()

 

(command ".-style" "chuso" ".VNARIAL NARROW" "" "" "" "" "")

)

(command ".-style" "TenCoc" ".VNARIAL NARROWH" "" "" "" "" "")

)

(command ".-style" "TieuDe" ".VNARIAL NARROW" "" "" "" "" "")

)

;;

(command ".-style" "Standard" ".VNARIAL NARROW" "" "" "" "" "")

)

 

ko sai chút nào, em đã xem xét rất kỹ mà có cái Style " Standar" Và Tieude khong được. Em đưa bác File CAD để bác xem : http://www.cadviet.com/upfiles/Doi_font_1.zip nhé. Em đâu phải Gà mà nó cứ vậy ? huhuhu ??? Nick em : KS_Giang để mình nc cho tiện về vấn đề này ... Bác ADD đi nhé .Cảm ơn bác đã nhiệt tình giúp em !!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em Đã làm như vậy rùi ? Đây nè :

(defun C:fo()

 

(command ".-style" "chuso" ".VNARIAL NARROW" "" "" "" "" "")

) <- xóa

(command ".-style" "TenCoc" ".VNARIAL NARROWH" "" "" "" "" "")

) <- xóa

(command ".-style" "TieuDe" ".VNARIAL NARROW" "" "" "" "" "")

) <- xóa

;;

(command ".-style" "Standard" ".VNARIAL NARROW" "" "" "" "" "")

) <- cái này thì ko đuọc xóa

 

ko sai chút nào, em đã xem xét rất kỹ mà có cái Style " Standar" Và Tieude khong được. Em đưa bác File CAD để bác xem : http://www.cadviet.com/upfiles/Doi_font_1.zip nhé. Em đâu phải Gà mà nó cứ vậy ? huhuhu ??? Nick em : KS_Giang để mình nc cho tiện về vấn đề này ... Bác ADD đi nhé .Cảm ơn bác đã nhiệt tình giúp em !!!!

Trời trời chớ bạn copy thêm cái dấu ngoặc đơn dưới dòng command làm gì thừa cả đống

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Trời trời chớ bạn copy thêm cái dấu ngoặc đơn dưới dòng command làm gì thừa cả đống

hehhehe kekekeke vui quá, được rùi. Cảm ơn bác Meohoang nhìu nhé . Thế bác xử lý cái Lisp căn chỉnh ( Move) Text cho em đi. Lần trước em nêu trên diễn đàn mấy bác viết jứp rùi nhưng toàn cái bị lỗi( các bài viết ở đây !!! http://www.cadviet.com/forum/index.php?sho...#entry37028).Ko Chạy ngon.Text mới viết thì ko được.

Công việc cần làm là: có các dòng text viết bằng các lệnh khác nhau, là đối tượng khác nhau.

Trước khi căn chỉnh :

''''''''''''''''''''' Text 1

Text2

''''''''''''''''''''''''''''''''''''' Text3

Sau khi chạy Lisp

Căn trái:

Text 1

Text2

Text3

Căn giữa, căn phải.... Tương tự.Bác viết cho em đi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×